#
# spec file for package python-XStatic-Magic-Search
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname XStatic-Magic-Search
Name:           python-XStatic-Magic-Search
Version:        0.2.5.2
Release:        2.1
Summary:        Magic Search %{version} (XStatic packaging standard)
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/xstatic-magic-search/
Source0:        https://files.pythonhosted.org/packages/source/X/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-setuptools
Requires:       python-XStatic
BuildArch:      noarch

%description
Magic Search JavaScript library packaged for setuptools (easy_install) / pip.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
#Correct permission for README.txt
chmod -x README.txt

#Remove unneeded files type from source
find . -name *~ -exec rm -rf {} \;

%{py2_build}

%install
%{py2_install}

%files
%doc README.txt
%{python2_sitelib}/xstatic
%{python2_sitelib}/XStatic_Magic_Search-%{version}-py?.?.egg-info
%{python2_sitelib}/XStatic_Magic_Search-%{version}-py?.?-nspkg.pth

%changelog
